javax.jcr

## Interface PropertyIterator

All Superinterfaces:
  java.util.Iterator, RangeIterator

    public interface PropertyIterator
    extends RangeIterator

Allows easy iteration through a list of `Property`s with `nextProperty` as well as a `skip` method.

### Property Summary

All Methods Instance Methods Abstract Methods
`Property` `next` Returns the next `Property` in the iteration.

### Method Summary

All Methods Instance Methods Abstract Methods
`Property` `nextProperty()` Returns the next `Property` in the iteration.

### Methods inherited from interface javax.jcr.RangeIterator

`getPosition, getSize, skip`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Property Detail

#### next

    Property nextProperty

Returns the next `Property` in the iteration.

### Method Detail

#### nextProperty

    Property nextProperty()

Returns the next `Property` in the iteration.

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.